ncurses 5.9 - patch 20111022
[ncurses.git] / configure
index b617edc8d91046cf285fb8718d590c8c4c55b9d5..34025444656c759c80dd1e41d05e83e505057996 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.526 .
+# From configure.in Revision: 1.527 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20101002.
 #
 
 if test "$ac_cv_prog_gnat_exists" = no; then
    cf_ada_make=
+   cf_cv_prog_gnat_correct=no
 else
 
-echo "$as_me:18407: checking for gnat version" >&5
+echo "$as_me:18408: checking for gnat version" >&5
 echo $ECHO_N "checking for gnat version... $ECHO_C" >&6
 cf_gnat_version=`${cf_ada_make:-gnatmake} -v 2>&1 | \
        grep '[0-9].[0-9][0-9]*' |\
     sed -e '2,$d' -e 's/[^0-9 \.]//g' -e 's/^[ ]*//' -e 's/ .*//'`
-echo "$as_me:18412: result: $cf_gnat_version" >&5
+echo "$as_me:18413: result: $cf_gnat_version" >&5
 echo "${ECHO_T}$cf_gnat_version" >&6
 
 case $cf_gnat_version in #(vi
@@ -18417,7 +18418,7 @@ case $cf_gnat_version in #(vi
        cf_cv_prog_gnat_correct=yes
        ;;
 *)
-       { echo "$as_me:18420: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
+       { echo "$as_me:18421: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
 echo "$as_me: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&2;}
        cf_cv_prog_gnat_correct=no
        ;;
@@ -18425,7 +18426,7 @@ esac
 
    # Extract the first word of "m4", so it can be a program name with args.
 set dummy m4; ac_word=$2
-echo "$as_me:18428: checking for $ac_word" >&5
+echo "$as_me:18429: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_M4_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18440,7 +18441,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_M4_exists="yes"
-echo "$as_me:18443: found $ac_dir/$ac_word" >&5
+echo "$as_me:18444: found $ac_dir/$ac_word" >&5
 break
 done
 
 fi
 M4_exists=$ac_cv_prog_M4_exists
 if test -n "$M4_exists"; then
-  echo "$as_me:18452: result: $M4_exists" >&5
+  echo "$as_me:18453: result: $M4_exists" >&5
 echo "${ECHO_T}$M4_exists" >&6
 else
-  echo "$as_me:18455: result: no" >&5
+  echo "$as_me:18456: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -18461,7 +18462,7 @@ fi
       echo Ada95 binding required program m4 not found. Ada95 binding disabled.
    fi
    if test "$cf_cv_prog_gnat_correct" = yes; then
-      echo "$as_me:18464: checking if GNAT works" >&5
+      echo "$as_me:18465: checking if GNAT works" >&5
 echo $ECHO_N "checking if GNAT works... $ECHO_C" >&6
 
 rm -rf conftest* *~conftest*
@@ -18489,7 +18490,7 @@ else
 fi
 rm -rf conftest* *~conftest*
 
-      echo "$as_me:18492: result: $cf_cv_prog_gnat_correct" >&5
+      echo "$as_me:18493: result: $cf_cv_prog_gnat_correct" >&5
 echo "${ECHO_T}$cf_cv_prog_gnat_correct" >&6
    fi
 fi
@@ -18514,7 +18515,7 @@ fi
                                ;;
                        esac
 
-echo "$as_me:18517: checking if GNAT supports generics" >&5
+echo "$as_me:18518: checking if GNAT supports generics" >&5
 echo $ECHO_N "checking if GNAT supports generics... $ECHO_C" >&6
 case $cf_gnat_version in #(vi
 3.[1-9]*|[4-9].*) #(vi
@@ -18524,7 +18525,7 @@ case $cf_gnat_version in #(vi
        cf_gnat_generics=no
        ;;
 esac
-echo "$as_me:18527: result: $cf_gnat_generics" >&5
+echo "$as_me:18528: result: $cf_gnat_generics" >&5
 echo "${ECHO_T}$cf_gnat_generics" >&6
 
 if test "$cf_gnat_generics" = yes
@@ -18536,7 +18537,7 @@ else
        cf_generic_objects=
 fi
 
-echo "$as_me:18539: checking if GNAT supports SIGINT" >&5
+echo "$as_me:18540: checking if GNAT supports SIGINT" >&5
 echo $ECHO_N "checking if GNAT supports SIGINT... $ECHO_C" >&6
 if test "${cf_cv_gnat_sigint+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18584,7 +18585,7 @@ fi
 rm -rf conftest* *~conftest*
 
 fi
-echo "$as_me:18587: result: $cf_cv_gnat_sigint" >&5
+echo "$as_me:18588: result: $cf_cv_gnat_sigint" >&5
 echo "${ECHO_T}$cf_cv_gnat_sigint" >&6
 
 if test $cf_cv_gnat_sigint = yes ; then
@@ -18593,7 +18594,7 @@ else
        USE_GNAT_SIGINT="#"
 fi
 
-echo "$as_me:18596: checking if GNAT pragma Unreferenced works" >&5
+echo "$as_me:18597: checking if GNAT pragma Unreferenced works" >&5
 echo $ECHO_N "checking if GNAT pragma Unreferenced works... $ECHO_C" >&6
 if test "${cf_cv_pragma_unreferenced+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18624,7 +18625,7 @@ fi
 rm -rf conftest* *~conftest*
 
 fi
-echo "$as_me:18627: result: $cf_cv_pragma_unreferenced" >&5
+echo "$as_me:18628: result: $cf_cv_pragma_unreferenced" >&5
 echo "${ECHO_T}$cf_cv_pragma_unreferenced" >&6
 
 # if the pragma is supported, use it (needed in the Trace code).
@@ -18637,7 +18638,7 @@ fi
 cf_gnat_libraries=no
 cf_gnat_projects=no
 
-echo "$as_me:18640: checking if GNAT supports project files" >&5
+echo "$as_me:18641: checking if GNAT supports project files" >&5
 echo $ECHO_N "checking if GNAT supports project files... $ECHO_C" >&6
 case $cf_gnat_version in #(vi
 3.[0-9]*) #(vi
@@ -18705,14 +18706,14 @@ CF_EOF
        esac
        ;;
 esac
-echo "$as_me:18708: result: $cf_gnat_projects" >&5
+echo "$as_me:18709: result: $cf_gnat_projects" >&5
 echo "${ECHO_T}$cf_gnat_projects" >&6
 
 if test $cf_gnat_projects = yes
 then
-       echo "$as_me:18713: checking if GNAT supports libraries" >&5
+       echo "$as_me:18714: checking if GNAT supports libraries" >&5
 echo $ECHO_N "checking if GNAT supports libraries... $ECHO_C" >&6
-       echo "$as_me:18715: result: $cf_gnat_libraries" >&5
+       echo "$as_me:18716: result: $cf_gnat_libraries" >&5
 echo "${ECHO_T}$cf_gnat_libraries" >&6
 fi
 
@@ -18732,7 +18733,7 @@ else
        USE_GNAT_LIBRARIES="#"
 fi
 
-echo "$as_me:18735: checking for ada-compiler" >&5
+echo "$as_me:18736: checking for ada-compiler" >&5
 echo $ECHO_N "checking for ada-compiler... $ECHO_C" >&6
 
 # Check whether --with-ada-compiler or --without-ada-compiler was given.
@@ -18743,12 +18744,12 @@ else
   cf_ada_compiler=gnatmake
 fi;
 
-echo "$as_me:18746: result: $cf_ada_compiler" >&5
+echo "$as_me:18747: result: $cf_ada_compiler" >&5
 echo "${ECHO_T}$cf_ada_compiler" >&6
 
                        cf_ada_package=terminal_interface
 
-echo "$as_me:18751: checking for ada-include" >&5
+echo "$as_me:18752: checking for ada-include" >&5
 echo $ECHO_N "checking for ada-include... $ECHO_C" >&6
 
 # Check whether --with-ada-include or --without-ada-include was given.
@@ -18784,7 +18785,7 @@ case ".$withval" in #(vi
   withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:18787: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:18788: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -18793,10 +18794,10 @@ esac
 fi
 ADA_INCLUDE="$withval"
 
-echo "$as_me:18796: result: $ADA_INCLUDE" >&5
+echo "$as_me:18797: result: $ADA_INCLUDE" >&5
 echo "${ECHO_T}$ADA_INCLUDE" >&6
 
-echo "$as_me:18799: checking for ada-objects" >&5
+echo "$as_me:18800: checking for ada-objects" >&5
 echo $ECHO_N "checking for ada-objects... $ECHO_C" >&6
 
 # Check whether --with-ada-objects or --without-ada-objects was given.
@@ -18832,7 +18833,7 @@ case ".$withval" in #(vi
   withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:18835: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:18836: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -18841,10 +18842,10 @@ esac
 fi
 ADA_OBJECTS="$withval"
 
-echo "$as_me:18844: result: $ADA_OBJECTS" >&5
+echo "$as_me:18845: result: $ADA_OBJECTS" >&5
 echo "${ECHO_T}$ADA_OBJECTS" >&6
 
-echo "$as_me:18847: checking if an Ada95 shared-library should be built" >&5
+echo "$as_me:18848: checking if an Ada95 shared-library should be built" >&5
 echo $ECHO_N "checking if an Ada95 shared-library should be built... $ECHO_C" >&6
 
 # Check whether --with-ada-sharedlib or --without-ada-sharedlib was given.
@@ -18854,7 +18855,7 @@ if test "${with_ada_sharedlib+set}" = set; then
 else
   with_ada_sharedlib=no
 fi;
-echo "$as_me:18857: result: $with_ada_sharedlib" >&5
+echo "$as_me:18858: result: $with_ada_sharedlib" >&5
 echo "${ECHO_T}$with_ada_sharedlib" >&6
 
 ADA_SHAREDLIB='lib$(LIB_NAME).so.1'
@@ -18885,7 +18886,7 @@ fi
 ### chooses to split module lists into libraries.
 ###
 ### (see CF_LIB_RULES).
-echo "$as_me:18888: checking for library subsets" >&5
+echo "$as_me:18889: checking for library subsets" >&5
 echo $ECHO_N "checking for library subsets... $ECHO_C" >&6
 LIB_SUBSETS=
 
@@ -18926,7 +18927,7 @@ fi
 test "$with_widec"     = yes && LIB_SUBSETS="${LIB_SUBSETS}+widechar"
 test "$with_ext_funcs" = yes && LIB_SUBSETS="${LIB_SUBSETS}+ext_funcs"
 
-echo "$as_me:18929: result: $LIB_SUBSETS" >&5
+echo "$as_me:18930: result: $LIB_SUBSETS" >&5
 echo "${ECHO_T}$LIB_SUBSETS" >&6
 
 ### Construct the list of include-directories to be generated
@@ -18964,7 +18965,7 @@ elif test "$includedir" != "/usr/include"; then
 fi
 
 ### Build up pieces for makefile rules
-echo "$as_me:18967: checking default library suffix" >&5
+echo "$as_me:18968: checking default library suffix" >&5
 echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
 
        case $DFT_LWR_MODEL in
@@ -18975,10 +18976,10 @@ echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
        shared)  DFT_ARG_SUFFIX=''   ;;
        esac
        test -n "$LIB_SUFFIX" && DFT_ARG_SUFFIX="${LIB_SUFFIX}${DFT_ARG_SUFFIX}"
-echo "$as_me:18978: result: $DFT_ARG_SUFFIX" >&5
+echo "$as_me:18979: result: $DFT_ARG_SUFFIX" >&5
 echo "${ECHO_T}$DFT_ARG_SUFFIX" >&6
 
-echo "$as_me:18981: checking default library-dependency suffix" >&5
+echo "$as_me:18982: checking default library-dependency suffix" >&5
 echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
 
        case $DFT_LWR_MODEL in #(vi
@@ -19031,10 +19032,10 @@ echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
        esac
        test -n "$LIB_SUFFIX" && DFT_LIB_SUFFIX="${LIB_SUFFIX}${DFT_LIB_SUFFIX}"
        test -n "$LIB_SUFFIX" && DFT_DEP_SUFFIX="${LIB_SUFFIX}${DFT_DEP_SUFFIX}"
-echo "$as_me:19034: result: $DFT_DEP_SUFFIX" >&5
+echo "$as_me:19035: result: $DFT_DEP_SUFFIX" >&5
 echo "${ECHO_T}$DFT_DEP_SUFFIX" >&6
 
-echo "$as_me:19037: checking default object directory" >&5
+echo "$as_me:19038: checking default object directory" >&5
 echo $ECHO_N "checking default object directory... $ECHO_C" >&6
 
        case $DFT_LWR_MODEL in
@@ -19050,12 +19051,12 @@ echo $ECHO_N "checking default object directory... $ECHO_C" >&6
                        DFT_OBJ_SUBDIR='obj_s' ;;
                esac
        esac
-echo "$as_me:19053: result: $DFT_OBJ_SUBDIR" >&5
+echo "$as_me:19054: result: $DFT_OBJ_SUBDIR" >&5
 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6
 
 # libtool thinks it can make c++ shared libraries (perhaps only g++)
 if test "$cf_with_cxx" = yes ; then
-echo "$as_me:19058: checking c++ library-dependency suffix" >&5
+echo "$as_me:19059: checking c++ library-dependency suffix" >&5
 echo $ECHO_N "checking c++ library-dependency suffix... $ECHO_C" >&6
 if test "$with_libtool" != "no"; then
        CXX_LIB_SUFFIX=$DFT_DEP_SUFFIX
@@ -19112,7 +19113,7 @@ else
        test -n "$LIB_SUFFIX" && CXX_LIB_SUFFIX="${LIB_SUFFIX}${CXX_LIB_SUFFIX}"
        test -n "$LIB_SUFFIX" && CXX_DEP_SUFFIX="${LIB_SUFFIX}${CXX_DEP_SUFFIX}"
 fi
-echo "$as_me:19115: result: $CXX_LIB_SUFFIX" >&5
+echo "$as_me:19116: result: $CXX_LIB_SUFFIX" >&5
 echo "${ECHO_T}$CXX_LIB_SUFFIX" >&6
 
 fi
 
 if test -n "$LDFLAGS_STATIC" && test -n "$LDFLAGS_SHARED"
 then
-       echo "$as_me:19274: checking if linker supports switching between static/dynamic" >&5
+       echo "$as_me:19275: checking if linker supports switching between static/dynamic" >&5
 echo $ECHO_N "checking if linker supports switching between static/dynamic... $ECHO_C" >&6
 
        rm -f libconftest.a
        cat >conftest.$ac_ext <<EOF
-#line 19279 "configure"
+#line 19280 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp) { return fflush(fp); }
 EOF
-       if { (eval echo "$as_me:19283: \"$ac_compile\"") >&5
+       if { (eval echo "$as_me:19284: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19286: \$? = $ac_status" >&5
+  echo "$as_me:19287: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
                ( $AR $ARFLAGS libconftest.a conftest.o ) 2>&5 1>/dev/null
                ( eval $RANLIB libconftest.a ) 2>&5 >/dev/null
@@ -19294,10 +19295,10 @@ EOF
 
        LIBS="$LDFLAGS_STATIC -L`pwd` -lconftest $LDFLAGS_DYNAMIC $LIBS"
        cat >conftest.$ac_ext <<_ACEOF
-#line 19297 "configure"
+#line 19298 "configure"
 #include "confdefs.h"
 
-#line 19300 "configure"
+#line 19301 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp);
 
@@ -19312,16 +19313,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:19315: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19316: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19318: \$? = $ac_status" >&5
+  echo "$as_me:19319: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:19321: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19322: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19324: \$? = $ac_status" >&5
+  echo "$as_me:19325: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
        # some linkers simply ignore the -dynamic
@@ -19344,7 +19345,7 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
        rm -f libconftest.*
        LIBS="$cf_save_LIBS"
 
-       echo "$as_me:19347: result: $cf_ldflags_static" >&5
+       echo "$as_me:19348: result: $cf_ldflags_static" >&5
 echo "${ECHO_T}$cf_ldflags_static" >&6
 
        if test $cf_ldflags_static != yes
        ;;
 esac
 
-echo "$as_me:19363: checking where we will install curses.h" >&5
+echo "$as_me:19364: checking where we will install curses.h" >&5
 echo $ECHO_N "checking where we will install curses.h... $ECHO_C" >&6
 test "$with_overwrite" = no && \
 test "x$includedir" = 'x${prefix}/include' && \
        includedir='${prefix}/include/ncurses'${LIB_SUFFIX}
-echo "$as_me:19368: result: $includedir" >&5
+echo "$as_me:19369: result: $includedir" >&5
 echo "${ECHO_T}$includedir" >&6
 
 ### Resolve a conflict between normal and wide-curses by forcing applications
@@ -19373,7 +19374,7 @@ echo "${ECHO_T}$includedir" >&6
 if test "$with_overwrite" != no ; then
 if test "$NCURSES_LIBUTF8" = 1 ; then
        NCURSES_LIBUTF8='defined(HAVE_LIBUTF8_H)'
-       { echo "$as_me:19376: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
+       { echo "$as_me:19377: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
 echo "$as_me: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&2;}
 fi
 fi
@@ -19390,7 +19391,7 @@ EOF
 ### Construct the list of subdirectories for which we'll customize makefiles
 ### with the appropriate compile-rules.
 
-echo "$as_me:19393: checking for src modules" >&5
+echo "$as_me:19394: checking for src modules" >&5
 echo $ECHO_N "checking for src modules... $ECHO_C" >&6
 
 # dependencies and linker-arguments for test-programs
@@ -19453,7 +19454,7 @@ EOF
                fi
        fi
 done
-echo "$as_me:19456: result: $cf_cv_src_modules" >&5
+echo "$as_me:19457: result: $cf_cv_src_modules" >&5
 echo "${ECHO_T}$cf_cv_src_modules" >&6
 
 TEST_ARGS="-L${LIB_DIR} $TEST_ARGS"
@@ -19475,7 +19476,7 @@ test -z "$MAKE_TERMINFO" && SRC_SUBDIRS="$SRC_SUBDIRS misc"
 test "$cf_with_cxx_binding" != no && SRC_SUBDIRS="$SRC_SUBDIRS c++"
 
 ADA_SUBDIRS=
-if test "$cf_cv_prog_gnat_correct" = yes && test -f $srcdir/Ada95/Makefile.in; then
+if test "x$cf_with_ada" = "xyes" && test "x$cf_cv_prog_gnat_correct" = xyes && test -f $srcdir/Ada95/Makefile.in; then
        SRC_SUBDIRS="$SRC_SUBDIRS Ada95"
        ADA_SUBDIRS="gen src"
        if test "x$cf_with_tests" != "xno" ; then
@@ -19497,7 +19498,7 @@ if test -n "$ADA_SUBDIRS"; then
 
 fi
 
-if test "$cf_with_ada" != "no" && test "$cf_cv_prog_gnat_correct" != "no"; then
+if test "x$cf_with_ada" = "xyes" && test "x$cf_cv_prog_gnat_correct" = "xyes"; then
    SUB_MAKEFILES="$SUB_MAKEFILES Ada95/gen/adacurses${DFT_ARG_SUFFIX}-config:Ada95/gen/adacurses-config.in"
    SUB_MAKEFILES="$SUB_MAKEFILES man/adacurses${DFT_ARG_SUFFIX}-config.1:man/MKada_config.in"
 fi
@@ -19659,7 +19660,7 @@ fi
 
 # Extract the first word of "tic", so it can be a program name with args.
 set dummy tic; ac_word=$2
-echo "$as_me:19662: checking for $ac_word" >&5
+echo "$as_me:19663: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_TIC_PATH+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19676,7 +19677,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_TIC_PATH="$ac_dir/$ac_word"
-   echo "$as_me:19679: found $ac_dir/$ac_word" >&5
+   echo "$as_me:19680: found $ac_dir/$ac_word" >&5
    break
 fi
 done
 TIC_PATH=$ac_cv_path_TIC_PATH
 
 if test -n "$TIC_PATH"; then
-  echo "$as_me:19691: result: $TIC_PATH" >&5
+  echo "$as_me:19692: result: $TIC_PATH" >&5
 echo "${ECHO_T}$TIC_PATH" >&6
 else
-  echo "$as_me:19694: result: no" >&5
+  echo "$as_me:19695: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -19699,7 +19700,7 @@ if test -n "$FALLBACK_LIST"
 then
        if test "$TIC_PATH" = unknown
        then
-               { echo "$as_me:19702: WARNING: no tic program found for fallbacks" >&5
+               { echo "$as_me:19703: WARNING: no tic program found for fallbacks" >&5
 echo "$as_me: WARNING: no tic program found for fallbacks" >&2;}
        fi
 fi
@@ -19800,7 +19801,7 @@ DEFS=-DHAVE_CONFIG_H
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:19803: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:19804: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -19976,7 +19977,7 @@ cat >>$CONFIG_STATUS <<\EOF
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:19979: error: ambiguous option: $1
+    { { echo "$as_me:19980: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -19995,7 +19996,7 @@ Try \`$0 --help' for more information." >&2;}
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:19998: error: unrecognized option: $1
+  -*) { { echo "$as_me:19999: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -20101,7 +20102,7 @@ do
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
-  *) { { echo "$as_me:20104: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:20105: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -20514,7 +20515,7 @@ done; }
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:20517: creating $ac_file" >&5
+    { echo "$as_me:20518: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -20532,7 +20533,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:20535: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:20536: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -20545,7 +20546,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:20548: error: cannot find input file: $f" >&5
+           { { echo "$as_me:20549: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -20611,7 +20612,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:20614: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:20615: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -20622,7 +20623,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:20625: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:20626: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -20635,7 +20636,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:20638: error: cannot find input file: $f" >&5
+           { { echo "$as_me:20639: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -20693,7 +20694,7 @@ cat >>$CONFIG_STATUS <<\EOF
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:20696: $ac_file is unchanged" >&5
+      { echo "$as_me:20697: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -21336,7 +21337,7 @@ CF_EOF
        fi
 done
 
-if test "x$cf_with_ada" != xno ; then
+if test "x$cf_with_ada" = "xyes" && test "x$cf_cv_prog_gnat_correct" = "xyes"; then
 if test -z "$USE_OLD_MAKERULES" ; then
        $AWK -f $srcdir/Ada95/mk-1st.awk <$srcdir/Ada95/src/modules >>Ada95/src/Makefile
 fi